'''equippable items (need a better name for this)
'''

import pyglet
import inventory

class Equip(object):
    def __init__(self):
        self.paperdoll = pyglet.sprite.Sprite( \
            pyglet.resource.image('paperdoll.png'),
            x = 0, y = 75)
        self.clear()

    def clear(self):
        img = pyglet.resource.image('blank.png')
        self.equipitem = EquipItem(img)

    def equip_new(self, item):
        self.equipitem.unequip_action()
        self.equipitem = EquipItem(item.sprite.image)
        self.equipitem.unequip_action = item.unequip_action

    def draw(self):
        self.paperdoll.draw()
        self.equipitem.sprite.draw()

class EquipItem(inventory.InvItem):
    def __init__(self, img):
        img.anchor_x = 0
        img.anchor_y = 0
        sprite = pyglet.sprite.Sprite(img)
        sprite.x = 26
        sprite.y = 76
        sprite.scale = 49 / float(img.width)
        inventory.InvItem.__init__(self, self.action, sprite)

    def action(self):
        pass

    def unequip_action(self):
        pass






